Skip to main content
GET
Reveal actual secret values (platform PSK only)

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

app_id
string<uuid>
required

Unique ID of the app.

secret_name
string
required

User-facing name of the secret.

Response

Secret values revealed successfully.

Detail view of a secret with actual, revealed values.

secret_name
string
required

User-facing name of the secret.

k8s_name
string
required

K8s resource name.

data
SecretKeyValue · object[]

Key-value pairs with actual values.

created_at
string | null

Secret creation timestamp in ISO 8601 format.